Package org.eclipse.rdf4j.common.iteration

## Class IteratorIteration<E,​X extends Exception>

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.IteratorIteration<E,​X>

- All Implemented Interfaces:
    `Iteration<E,​X>`

      public class IteratorIteration<E,​X extends Exception>
      extends Object
      implements Iteration<E,​X>

  An Iteration that can convert an `Iterator` to a `Iteration`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IteratorIteration​(Iterator<? extends E> iter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasNext()` | Returns true if the iteration has more elements.
    `E` | `next()` | Returns the next element in the iteration.
    `void` | `remove()` | Removes from the underlying collection the last element returned by the iteration (optional operation).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### IteratorIteration

          public IteratorIteration​(Iterator<? extends E> iter)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Description copied from interface: `Iteration`
      Returns true if the iteration has more elements. (In other words, returns true if `Iteration.next()` would return an element rather than throwing a NoSuchElementException.)
      Specified by:
        `hasNext` in interface `Iteration<E,​X extends Exception>`
      Returns:
        true if the iteration has more elements.

    - #### next

          public E next()

      Description copied from interface: `Iteration`
      Returns the next element in the iteration.
      Specified by:
        `next` in interface `Iteration<E,​X extends Exception>`
      Returns:
        the next element in the iteration.

    - #### remove

          public void remove()

      Description copied from interface: `Iteration`
      Removes from the underlying collection the last element returned by the iteration (optional operation). This method can be called only once per call to next.
      Specified by:
        `remove` in interface `Iteration<E,​X extends Exception>`